#!/bin/bash

i=0
while [ $i -lt {{N}} ]; do
  next_hop=`dig +short kn$i.portal.{{domain}}`
  if [[ $i != {{INDEX}} ]]; then
    ip route add 10.74.$i.0/24 via $next_hop
  fi
	let i=i+1
  sleep 1
done

# dont propagate errors back to ansible
true
